"use client";
import LocaleSwitcher from "@/components/common/language-switcher";
import { Link } from "@/i18n/routing";
import * as React from "react";

import { useRouter } from "@/i18n/routing";
import { Icon } from "@iconify/react/dist/iconify.js";
import Cookies from "js-cookie";
import { SocialIcons } from "../../shared/social-icons";
import NotificationsDropdown from "../notifications-dropdown";
import { HeaderProps } from "./header-2";

export default function TopBar2({ locale }: HeaderProps) {
	const router = useRouter();

	const [status, setStatus] = React.useState(false);


	React.useEffect(() => {
		const __success = Cookies.get("__t") !== undefined;
		setStatus(__success);
	}, []);

	const handleLogout = () => {
		Cookies.remove("__t");
		Cookies.remove("__u");
		router.push("/login");
	};

	return (
		<div className="flex w-full flex-col items-center justify-between bg-[#2292CB] px-4 py-2 text-white sm:flex-row lg:px-24">
			<div className="mb-1 flex items-center gap-4 text-sm lg:mb-0">
				<LocaleSwitcher />
				<div className="h-4 w-px bg-white" aria-hidden="true" />

				{
					status ?
						<React.Fragment>
							<Link
								href={"/user-account/settings" as any}
								className="transition-colors hover:text-white/80"
							>
								{locale === "ar" ? "  حسابي " : " Profile"}
							</Link>
							<div className="h-4 w-px bg-white" aria-hidden="true" />
							<Link
								href="/login"
								className="transition-colors hover:text-white/80"
								onClick={handleLogout}
							>
								{locale === "ar" ? "  تسجيل خروج " : " Sign out"}
							</Link>
							<div className="h-4 w-px bg-white" aria-hidden="true" />
							<div className="flex items-center gap-4">
								<NotificationsDropdown />
							</div>
							<div className="h-4 w-px bg-white" aria-hidden="true" />
							<Link
								href="/cart"
								className="transition-colors hover:text-white/80"
							>
								<Icon icon="mynaui:cart-solid" className="h-[22px] w-[22px]" />
							</Link>
							<div className="h-4 w-px bg-white" aria-hidden="true" />
							<Link
								href="/favorite"
								className="transition-colors hover:text-white/80"
							>
								<Icon icon="mynaui:heart-solid" className="h-[22px] w-[22px]" />
							</Link>
						</React.Fragment>
						:
						<React.Fragment>

							<Link
								href="/login"
								className="transition-colors hover:text-white/80"
							>
								{locale === "ar" ? "  تسجيل دخول " : " Sign in"}
							</Link>
							<div className="h-4 w-px bg-white" aria-hidden="true" />
							<Link
								href="/register"
								className="flex items-center gap-1.5 transition-colors hover:text-white/80"
							>
								<span> {locale === "ar" ? "  تسجيل حساب" : " Sign up"}</span>

								<Icon icon="bxs:user" />
							</Link>
						</React.Fragment>
				}
			</div>
			<SocialIcons />
		</div>
	);
}
